Bug 48019 - StackOverflowError on "include"
StackOverflowError on "include"
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Jasper
6.0.20
PC Windows NT
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-10-17 07:18 UTC by illmoon
Modified: 2009-11-02 15:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description illmoon 2009-10-17 07:18:47 UTC
JSP file name: 
/common/headers.jsp


It's cotent:

<% // example: <%@ include file="/common/headers.jsp" % >
%>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta http-equiv="Cache-Control" content="no-store" />
<meta http-equiv="Pragma" content="no-cache" />
<meta http-equiv="Expires" content="0" />
<link href="../css/css.css" rel="stylesheet" type="text/css">


Console output:

java.lang.StackOverflowError
	at java.text.DateFormat.format(DateFormat.java:275)
	at java.text.Format.format(Format.java:140)
	at java.text.MessageFormat.subformat(MessageFormat.java:1288)
	at java.text.MessageFormat.format(MessageFormat.java:795)
	at java.util.logging.SimpleFormatter.format(SimpleFormatter.java:50)
	at java.util.logging.StreamHandler.publish(StreamHandler.java:179)
	at java.util.logging.ConsoleHandler.publish(ConsoleHandler.java:88)
	at java.util.logging.Logger.log(Logger.java:458)
	at java.util.logging.Logger.doLog(Logger.java:480)
	at java.util.logging.Logger.logp(Logger.java:680)
	at org.apache.juli.logging.DirectJDKLog.log(DirectJDKLog.java:167)
	at org.apache.juli.logging.DirectJDKLog.error(DirectJDKLog.java:135)
	at org.apache.jasper.compiler.JspReader.pushFile(JspReader.java:606)
	at org.apache.jasper.compiler.JspReader.<init>(JspReader.java:141)
	at org.apache.jasper.compiler.JspReader.<init>(JspReader.java:119)
	at org.apache.jasper.compiler.ParserController.determineSyntaxAndEncoding(ParserController.java:399)
	at org.apache.jasper.compiler.ParserController.doParse(ParserController.java:207)
	at org.apache.jasper.compiler.ParserController.parse(ParserController.java:137)
	at org.apache.jasper.compiler.Parser.processIncludeDirective(Parser.java:339)
	at org.apache.jasper.compiler.Parser.parseIncludeDirective(Parser.java:376)
	at org.apache.jasper.compiler.Parser.parseDirective(Parser.java:484)
	at org.apache.jasper.compiler.Parser.parseTagFileDirectives(Parser.java:1784)
	at org.apache.jasper.compiler.Parser.parse(Parser.java:127)


This not exist in "6.0.18".
Comment 1 Mark Thomas 2009-10-21 13:45:06 UTC
This has been fixed in trunk and proposed for 6.0.x
Comment 2 Mark Thomas 2009-11-02 15:08:40 UTC
This has been fixed in 6.0.x and will be in 6.0.21 onwards.